// Default Media setup

function addMediaQuery(aName, aQuery, aService) {
  var id = "urn:media:favorites:" + aService + ":" + aQuery;
  coop.media_favorites.children.addOnce(new coop.MediaQuery(id,
    {
      serviceId: "@flock.com/photo-api-manager;1?",
      service: aService,
      favicon: "chrome://flock/content/services/" + aService + "/favicon.png",
      query: aQuery,
      name: aName,
      isPollable: "true"
    })
  );
}

addMediaQuery("HowToFlock", "user:HowToFlock|username:HowToFlock", "youtube");
